Intrepid is supported for Windows 7+ versions only. Older versions of Windows might be able to run the software but that is not guaranteed.